[General]

[Proxy]
CAN-4 = snell, 43.138.242.118, 20001, psk=3dWdzJ9xVNbePOz7TXVL9ugpGnlVfn4, version=5, reuse=true
HKG-1A = snell, 43.138.242.118, 33000, psk=q9oc09CivHbKtw2UKKhBSBt39z0ITd9, version=5, reuse=true
HKG-1B = snell, 103.236.66.138, 60016, psk=q9oc09CivHbKtw2UKKhBSBt39z0ITd9, version=5, reuse=true
HKG-5A = snell, 43.138.242.118, 33002, psk=JcIXmVjiqQ7fbNmpMh85tk2s29mBc9c, version=5, reuse=true
HKG-5B = snell, 103.236.66.138, 60017, psk=JcIXmVjiqQ7fbNmpMh85tk2s29mBc9c, version=5, reuse=true
NRT-1A = snell, 43.138.242.118, 33004, psk=V1s3mU7hInV0YaZRIq1nWQ8WHPcdLVY, version=5, reuse=true
NRT-1B = snell, 103.236.66.138, 60018, psk=V1s3mU7hInV0YaZRIq1nWQ8WHPcdLVY, version=5, reuse=true
TPE-1 = snell, 43.138.242.118, 33008, psk=tjZocLcpMZy2DaJdKssE0ifr9rDKYkC, version=5, reuse=true

[Proxy Group]
Global = select, DIRECT, REJECT, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
Domestic = select, DIRECT, REJECT, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0

AI = select, DIRECT, REJECT, Global, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
Apple = select, DIRECT, REJECT, Global, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
CDN = select, DIRECT, REJECT, Global, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
Messenger = select, DIRECT, REJECT, Global, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
Microsoft = select, DIRECT, REJECT, Global, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
RemoteD = select, DIRECT, REJECT, Global, CAN-4, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0
RemoteG = select, DIRECT, REJECT, Global, CAN-4, HKG-1A, HKG-1B, HKG-5A, HKG-5B, NRT-1A, NRT-1B, TPE-1, include-all-proxies=0

[Rule]
IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
AND,((GEOIP,CN,no-resolve), (DEST-PORT,22)),RemoteD
AND,((GEOIP,CN,no-resolve), (DEST-PORT,3389)),RemoteD
IP-CIDR,100.64.0.0/10,RemoteD,no-resolve
DEST-PORT,22,RemoteG
DEST-PORT,3389,RemoteG
DEST-PORT,8006,RemoteG

DOMAIN-SET,https://ruleset.skk.moe/List/domainset/reject.conf,REJECT,pre-matching,extended-matching
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/reject_extra.conf,REJECT,pre-matching
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/apple_cdn.conf,CDN
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/cdn.conf,CDN

RULE-SET,https://ruleset.skk.moe/List/non_ip/reject.conf,REJECT,pre-matching,extended-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/reject-no-drop.conf,REJECT-NO-DROP,pre-matching,extended-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/reject-drop.conf,REJECT-DROP,pre-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/ai.conf,AI
RULE-SET,https://ruleset.skk.moe/List/non_ip/telegram.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/non_ip/apple_services.conf,Apple
RULE-SET,https://ruleset.skk.moe/List/non_ip/apple_cn.conf,Domestic
RULE-SET,https://ruleset.skk.moe/List/non_ip/microsoft_cdn.conf,CDN
RULE-SET,https://ruleset.skk.moe/List/non_ip/microsoft.conf,Microsoft
RULE-SET,https://ruleset.skk.moe/List/non_ip/cdn.conf,CDN

RULE-SET,https://ruleset.skk.moe/List/ip/reject.conf,REJECT-DROP
RULE-SET,https://ruleset.skk.moe/List/ip/telegram.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/ip/telegram_asn.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/ip/china_ip.conf,Domestic

FINAL,Global
